package com.game.business.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@ApiModel("修改密码")
@Data
public class UserChargeDto implements Serializable {

    @NotNull(message = "充值金额")
    private Double amount;

    @NotNull(message = "充值类型 0：金币  1：余额")
    private int type = 0;

    @NotNull(message = "UID不能为空")
    private Long userId;

}
